// Relay.h: interface for the CRelay class.
// Author : Philip Allen
// Version :1.1
// Date   : 16 March 2006
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RELAY_H__68A2927B_1E3D_4300_B5EF_B37149D29596__INCLUDED_)
#define AFX_RELAY_H__68A2927B_1E3D_4300_B5EF_B37149D29596__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define CLK_LOW_OE_HIGH 2
//#define CLK_LOW_OE_HIGH 1
const int GIMAXRELAY = 16;
#define GIMAXBANK   6


class CRelay  
{
	private:

	char mcLowerRelay[7];
	char mcUpperRelay[7];
	bool mbPortNotReady;
	CComm *m_pCommPort;
	CString mPortNum;

public:
	CRelay();

	CRelay(CString port);

	virtual ~CRelay();

	bool ActivateRelay(int uPosition, char iBank, int OnOff );

	void ActivateBank(char uBank);

	void ClearRelays();

	void CloseRelay(int RelNum, int RelBank);

	void OpenRelay(int RelNum, int RelBank);

	void SetPortStates(CString Dir);

	void SendCommand(CString command, int cVal);

	BOOL SetComPortNum(CString ComPortNum);

};

#endif // !defined(AFX_RELAY_H__68A2927B_1E3D_4300_B5EF_B37149D29596__INCLUDED_)
