// USBD096Dlg.h : header file
// Author : Philip Allen
// Version :1.1
// Date   : 16 March 2006
//
//////////////////////////////////////////////////////////////////////


#if !defined(AFX_USBD096DLG_H__F76F3D5B_C6CD_456C_84A1_BA8A90F7FA67__INCLUDED_)
#define AFX_USBD096DLG_H__F76F3D5B_C6CD_456C_84A1_BA8A90F7FA67__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CUSBD096Dlg dialog
class CRelay;
class CComm;

class CUSBD096Dlg : public CDialog
{
// Construction
public:
	CUSBD096Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CUSBD096Dlg)
	enum { IDD = IDD_USBD096_DIALOG };
	CScrollBar	m_vsbCycleInterval;
	CEdit	m_txt_ComPortNum;
	CStatic	m_txtRelayCycle;
	CEdit	m_edRelayNum;
	int		m_edtActiveBank;
	int		m_edtActiveRelay;
	int		m_txtIntVal;
	int		m_txtPortNum;
	int		m_edtSingleRelay;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUSBD096Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
private:

	CButton mRelayCycStart;
	CButton mRelayClose;
	CButton mRelayOpen;
	CButton mRelayClear;
	CButton mRelayRecycleOn;
	CButton mRelayRecycleOff;
	CButton mRelaySingleNum;
	CButton mMenuCommPort1;
	CButton mMenuCommPort2;
	CButton mMenuCommPort3;
	CButton mMenuCommPort4;
	CButton mMenuCommPort5;
	CButton mMenuCommPortSel;
	CButton mMenuFileExit;
	CButton mTxtRelayNum;

	CMenu * m_mainMenu;		// Main Menu handle
	CMenu * m_pmnuPort;		// Com port select menu handle

	int mPort;
	int mVScrollPos;
	bool mbScanComplete;
	bool mbRecycleOn;
	bool mbRecycleOff;
	bool mRelaysCycling;
	bool mbCloseRelays;
	int muRelayPos;
	int muBankPos;

protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CUSBD096Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnStart();
	afx_msg void OnClose();
	afx_msg void OnOpen();
	afx_msg void OnClear();
	afx_msg void OnRecycleOn();
	afx_msg void OnRecycleOff();
	afx_msg void OnChangeSingleRelNum();
	afx_msg void OnCommport1();
	afx_msg void OnCommport2();
	afx_msg void OnCommport3();
	afx_msg void OnCommport4();
	afx_msg void OnSelectport();
	afx_msg void OnFileExit();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnCommport5();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	void SetUpControls(void);
	void EnableControls();
	void DisableControls();
	void Initialise();
	bool CalculateBankAndRelay(int iRelayNum, int * BankPos, int * RelayPos);
	void Scan_Relays(void);
	void SelectCommPort(int portnum);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_USBD096DLG_H__F76F3D5B_C6CD_456C_84A1_BA8A90F7FA67__INCLUDED_)
